package com.qmth.distributed.print.business.bean.query;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * @Date: 2021/3/30.
 */
public class LoginParam {

    @ApiModelProperty(value = "登录名")
    @NotBlank(message = "请输入登录名")
    @Length(message = "登录名不能超过{max}个字符", max = 25)
    private String loginName;

    @ApiModelProperty(value = "密码")
    @NotBlank(message = "请输入密码")
    @Length(message = "密码不能少于{min}位", min = 6)
    @Length(message = "密码不能超过{max}位", max = 30)
    private String password;

    @ApiModelProperty(value = "验证码")
    @NotBlank(message = "请输入验证码")
    private String code;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
