package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.entity.BasicSchool;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 学校result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/6
 */
public class SchoolResult implements Serializable {

    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long id;

    @ApiModelProperty(value = "代码")
    String code;

    @ApiModelProperty(value = "名称")
    String name;

    public SchoolResult() {

    }

    public SchoolResult(BasicSchool tbSchool) {
        this.id = tbSchool.getId();
        this.code = tbSchool.getCode();
        this.name = tbSchool.getName();
    }

    public SchoolResult(Long id, String code, String name) {
        this.id = id;
        this.code = code;
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
