package com.qmth.distributed.print.api;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.bean.ApiUser;
import com.qmth.distributed.print.business.bean.dto.ExamDetailDto;
import com.qmth.distributed.print.business.bean.dto.ExamTaskDetailDto;
import com.qmth.distributed.print.business.service.ExamDetailService;
import com.qmth.distributed.print.business.util.RequestUtils;
import com.qmth.distributed.print.common.util.Result;
import com.qmth.distributed.print.common.util.ResultUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 考务数据 前端控制器
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@RestController
@RequestMapping("/examDetail")
public class ExamDetailController {

    @Autowired
    private ExamDetailService examDetailService;

    @ApiOperation(value = "查询")
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public Result list(HttpServletRequest request,
                       @RequestParam String relateType,
                       @RequestParam Long printPlanId,
                       @RequestParam String courseCode,
                       @RequestParam String paperNumber,
                       @RequestParam Integer pageNumber,
                       @RequestParam Integer pageSize) {
        ApiUser apiUser = RequestUtils.getApiUser(request);
        IPage<ExamDetailDto> examTasks = examDetailService.list(apiUser.getSchoolId(), relateType, printPlanId, courseCode, paperNumber, pageNumber, pageSize);
        return ResultUtil.ok(examTasks);
    }

}

